
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace de.WWWings.CodeOnly
{

 public partial class Person
 {
  #region Primitive Properties
  // --- Primärschlüssel
  public int PersonID  { get; set; }

  // --- Weitere Eigenschaften
  public string Name { get; set; }

  public string Vorname { get; set; }

  //[DBDateAttribute]
  public Nullable<System.DateTime> Geburtstag { get; set; }
 

  public string Strasse
  {
   get;
   set;
  }


  public virtual byte[] Foto
  {
   get;
   set;
  }

  public virtual string EMail
  {
   get;
   set;
  }

  public virtual string Stadt
  {
   get;
   set;
  }

  public string Land { get; set; }

  //public virtual string Planet
  //{
  // get;
  // set;
  //}
  public virtual string Memo
  {
   get;
   set;
  }

  #endregion


 }
}
